Bug 35696 - univention-base-files installation incomplete
univention-base-files installation incomplete
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-25 10:00 CEST by Stefan Gohmann
Modified: 2014-11-26 06:53 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-08-25 10:00:30 CEST
The UCR templates of univention-base-files are not registered during the d-i installation. The UCR registration aborted because the file /run/network/ifstate is not available which breaks ifup / ifdown.
Comment 1 Stefan Gohmann univentionstaff 2014-08-25 10:01:42 CEST
The old UCS installer does a "ucr commit" in 28_postconfigure_config_registry.sh.
Comment 2 Philipp Hahn univentionstaff 2014-08-26 13:27:08 CEST
r53026 | Bug #35696 CD: ucr commit all templates after installation
 preseed.cfg: preseed/late_command
Package: repo-ng
Version: 2.0-63.1309.201408261305
Branch: ucs_3.2-0
Scope: internal
Comment 3 Felix Botner univentionstaff 2014-08-26 15:55:52 CEST
OK -

/var/log/installer/syslog:
Aug 26 13:47:02 preseed: running preseed command preseed/late_command: in-target /usr/sbin/ucr commit
...
Aug 26 13:47:10 in-target: File: /etc/inputrc
Aug 26 13:47:10 in-target: File: /etc/modules
Aug 26 13:47:10 in-target: File: /etc/cron.d/univention-system-stats
Aug 26 13:47:10 in-target: Multifile: /etc/python2.7/sitecustomize.py
Aug 26 13:47:10 in-target: File: /etc/init.d/heimdal-kdc
Aug 26 13:47:10 in-target: File: /etc/cron.d/univention-server-master
Aug 26 13:47:10 in-target: File: /var/www/ucs-overview/languages.json
Aug 26 13:47:10 in-target: File: /etc/security/access-su.conf
Aug 26 13:47:10 in-target: File: /etc/security/access-chfn.conf
Aug 26 13:47:10 in-target: File: /etc/univention/directory/reports/default/en_US/header.tex
Aug 26 13:47:10 in-target: File: /etc/logrotate.d/univention-config-registry-replog
Aug 26 13:47:10 in-target: File: /etc/security/access-chsh.conf
Aug 26 13:47:10 in-target: File: /etc/postfix/sasl/smtpd.conf
Aug 26 13:47:10 in-target: File: /etc/dhcp/dhclient.conf
Aug 26 13:47:10 in-target: File: /etc/pam.d/login
Aug 26 13:47:10 in-target: File: /etc/init.d/bind9
Aug 26 13:47:10 in-target: Multifile: /etc/postfix/transport
Aug 26 13:47:10 in-target: File: /etc/cron.d/univention-directory-policy
Aug 26 13:47:10 in-target: File: /etc/sysctl.d/local.conf
...

OK - Changelog
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:53:51 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".